﻿ALTER TABLE app_category ADD name_en varchar(30);
ALTER TABLE app_category ADD name_zh_hk varchar(30);
ALTER TABLE app_info ADD app_name_en varchar(30);
ALTER TABLE app_info ADD app_name_zh_hk varchar(30);
ALTER TABLE department ADD name_zh_hk varchar(100);
ALTER TABLE public_srv ADD name_en varchar(100);
ALTER TABLE public_srv ADD name_zh_hk varchar(100);
ALTER TABLE app_info ADD subType varchar(30);

--功能插件      开始-->
create table function_plugin(
  plugin_code varchar(20) primary key  not null,
  icon varchar(200) not null,
  display_name varchar(50) not null,
  config_view varchar(200) not null,
  main_view varchar(200) not null,
  plugin_class varchar(200) not null,
  default_is_on integer not null
);
insert into function_plugin(plugin_code,icon,display_name,config_view,main_view,plugin_class,default_is_on) values("emailAssit","icon_feature_email_assit","邮件助手","com.mibridge.eweixin.portalUI.email.ConfigActivity","com.mibridge.eweixin.portalUI.email.EmailListActivity","com.mibridge.eweixin.portal.email.EmailModule",1);
--功能插件      结束-->


create table public_srv
(
    sid integer primary key not null,
    scode varchar(100),
    name varchar(100) not null,
    descs varchar(2000),
    is_force integer default 0,
    priority integer not null default 0,
    s_update_time iteger not null default 0
);

create table public_srv_menu
(
    sid integer not null,
    level integer not null,
    type integer not null,
    show_text varchar(40) not null,
    value varchar(100)
);

create table need_public_srv
(
    sid integer not null,
    update_time integer not null
);

create table need_public_srv_icon
(
    sid integer not null,
    download_url varchar(200) not null,
    update_time integer not null
);

create table skin_market_info
(
	market_id varchar(100) primary key not null,
    market_uri varchar(200) not null,
    market_path varchar(200) not null,
    market_state integer not null
);



ALTER TABLE department_member ADD short_spell varchar(100);
ALTER TABLE app_info ADD fetchMode varchar(30);
ALTER TABLE app_info ADD badgeUrl varchar(300);
ALTER TABLE app_info ADD fetchUrl varchar(300);
ALTER TABLE app_info ADD receiver varchar(30);


create table dynamic_table_ver
(
	 version integer not null
);

create table user_interaction_lasttime
(
	id integer primary key  not null,
	last_time varchar(200) not null
);

create table advertise_ment
(
    id integer primary key not null,
    page_url varchar(100) not null,
    pic_url varchar(300) not null,
    local_url varchar(300) not null,
    last_update integer not null
);

ALTER TABLE advertise_ment ADD interval integer not null default 0;
ALTER TABLE advertise_ment ADD state integer not null default 0;


ALTER TABLE department ADD member_count integer not null default 0;

update app_info set c_app_info_version=1;

ALTER TABLE app_info ADD app_desc varchar(100) not null default '';
ALTER TABLE public_srv ADD app_id varchar(30);

--6.0.2.0 新增-->
ALTER TABLE department ADD category_id varchar;
ALTER TABLE department ADD detp_type integer not null default 2;
ALTER TABLE department ADD level integer not null default 0;

ALTER TABLE department_member ADD name_en varchar;
ALTER TABLE department_member ADD name_tc varchar;
ALTER TABLE department_member ADD position_en varchar;

create table department_category
(
	cate_id value primary key not null,
    cate_name varchar(100) not null default '',
    priority integer not null default 0
);

--603R
create table IF NOT EXISTS person
(
	pid integer primary key not null,
	name varchar(100) not null,
	ename varchar(100),
	name_tc varchar(100),
	signature varchar(500),
	department_id integer not null,
	s_last_update integer default 0,
	full_spell varchar(100),
	short_spell varchar(100),
	source varchar(100),
	source_id varchar(100),
	email varchar(200),
	phone varchar(256),
	telephone varchar(30),
	sex integer,
	position varchar(50),
	positionEn varchar(256),
	position_tc varchar(256),
	positionDesc varchar(256),
	short_no varchar(30),
	region varchar(16),
	birthday integer,
	user_level integer,
	user_state integer default 0,
	c_last_update integer default 0,
	login_name text not null default '',
	job_number varchar(100),
	alias_name varchar(100)
);

ALTER TABLE person ADD name_tc varchar(100);
ALTER TABLE person ADD position_tc varchar(256);

ALTER TABLE department ADD path varchar(500);
ALTER TABLE department ADD parent_org_count integer;
CREATE INDEX idx_department_path ON department (path);
CREATE INDEX idx_department_pid ON department (parent_id);
DROP TABLE IF EXISTS department_member;
create table IF NOT EXISTS department_member2
(
	did integer not null,
	member_id integer not null,
	sort_id integer,
	is_default integer not null,
	last_time integer,
	primary key(did,member_id)
);

ALTER TABLE app_info ADD app_config varchar(500) not null default '';

create table user_search
(
  pid integer  not null,
  search_id varchar(30) primary key not null,
  name varchar(100),
  update_time integer not null default 0,
  type integer not null,
  sessionType integer not null
);

ALTER TABLE newest_client_version ADD package_desc_type integer not null default 0;

create table relation
(
  user_id varchar(50) not null,
  relation_id varchar(50) not null
);
